CWeakPtrFacade.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

class | polybori::CWeakPtr< ValueType >
| Forward declaration of friend. More...
class | polybori::CWeakPtrFacade< ValueType >
| This class defines CWeakPtrFacade. More...

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2011-06-14

This file includes the definition of the class `CWeakPtrFacade`.

Copyright:
  (c) by The PolyBoRi Team